
Redmine - Patch #1402

Patch for lib/SVG/Graph/Graph.rb, can't externalize stylesheets

2008-06-07 13:56 - Yuki Sonoda

Status: Closed Start date: 2008-06-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.7.2   

Description

lib/SVG/Graph/Graph.rb has a bug. When the stylesheets of generated SVGs is externalized, for example

graph.style_sheet = '/stylesheets/graph.css'

at RepositoryController#graph_commits_per_author,

graph object raises an exception.

This is because typo. The attached patch solves this problem.

Associated revisions

Revision 1524 - 2008-06-09 22:05 - Jean-Philippe Lang

Fixed: SVG::Graph raises an error when using external stylesheet (#1402).

History

#1 - 2008-06-09 22:03 - Jean-Philippe Lang

Committed in r1524. Thanks for your patch.

Btw, are you the one who works on redmine4ruby-lang ?

#2 - 2008-06-09 22:23 - Jean-Philippe Lang

- Status changed from New to Closed

#3 - 2008-06-14 14:12 - Jean-Philippe Lang

- Target version set to 0.7.2

Files
